Search Gradle plugins

com.athaydes.osgi-ds

A Gradle plugin to assist in creating OSGi bundles using Declarative Services

https://github.com/renatoathaydes/osgi-run

Version 1.3.1 (latest)

Created 22 November 2015.

A Gradle plugin to assist in creating OSGi bundles using Declarative Services

Using the plugins DSL:

plugins {
  id "com.athaydes.osgi-ds" version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.com.athaydes.gradle.osgi:osgi-run-core:1.3.1"
  }
}

apply plugin: "com.athaydes.osgi-ds"

Using the plugins DSL:

plugins {
  id("com.athaydes.osgi-ds") version "1.3.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.com.athaydes.gradle.osgi:osgi-run-core:1.3.1")
  }
}

apply(plugin = "com.athaydes.osgi-ds")

Learn how to apply plugins to subprojects